Fighter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.beanbox
Class Fighter

    java.lang.Object
      com.bbn.openmap.layer.beanbox.SimpleBeanObject
          com.bbn.openmap.layer.beanbox.Fighter

    public class Fighter

extends SimpleBeanObject

A SimpleBeanObject that represents a Fighter. Contains two fighter specific fields: type (eg. F16, M21 etc) and speedInNMPerHr.

Field Summary
`protected float` | `speedInNMPerHr`
`protected java.lang.String` | `type`

Fields inherited from class com.bbn.openmap.layer.beanbox.SimpleBeanObject
`bearingInDeg, customGraphicClassName, graphicImage, id, latitude, longitude`

Constructor Summary
`Fighter()`
`Fighter(long id, java.lang.String type, float lat, float lon, float bearingInDeg, float speedInNMPerHr)`

Method Summary
`float` | `getSpeedInNMPerHr()`
`java.lang.String` | `getType()`
`void` | `setSpeedInNMPerHr(float speedInNMPerHr)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.layer.beanbox.SimpleBeanObject
`getBearingInDeg, getCustomGraphicClassName, getGraphicImage, getId, getLatitude, getLongitude, setBearingInDeg, setCustomGraphicClassName, setGraphicImage, setId, setLatitude, setLongitude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

### speedInNMPerHr

    protected float speedInNMPerHr

Constructor Detail

### Fighter

    public Fighter()

### Fighter

    public Fighter(long id,
                   java.lang.String type,
                   float lat,
                   float lon,
                   float bearingInDeg,
                   float speedInNMPerHr)

Method Detail

### setType

    public void setType(java.lang.String type)

### getType

    public java.lang.String getType()

### getSpeedInNMPerHr

    public float getSpeedInNMPerHr()

### setSpeedInNMPerHr

    public void setSpeedInNMPerHr(float speedInNMPerHr)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleBeanObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details